Subject: Re: bug#67012: 29.1; epa-sign-file pinentry loopback mode does not work with S/MIME

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Nov 2023 11:53:24 +0200

> From: Ulrich Mueller <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 19 Nov 2023 12:13:08 +0100
> 
> >>>>> On Sun, 19 Nov 2023, Eli Zaretskii wrote:
> 
> > I have difficulty making a decision about this, as I don't feel I
> > understand the situation well enough.  Can you please help me by
> > answering the following questions:
> 
> >   . are we talking about a single problem or about several ones? the
> >     original report was about invoking gpgsm, but then you started
> >     talking about gpg2 as well?
> 
> Single problem, and it affects only gpgsm. I've mentioned gpg2 only
> for the reason that any fix or workaround shouldn't change existing
> behaviour with gpg2. (So, for example, omitting "--pinentry-mode
> loopback" should be conditional on the CMS protocol.)
> 
> >   . is this a recent regression in Emacs, or did this problem exist in
> >     older versions of Emacs as well? or is this due to some recent
> >     change in GnuPG?
> 
> AFAICS it is an old problem, not related to any recent changes in Emacs
> or GnuPG. And IIUC properly fixing it would require major changes for
> either EasyPG or gpgsm, because the design of EasyPG relies on the
> status messages output by gpg2 with the --status-fd option. gpgsm
> doesn't output most of these messages (see the examples in message #32
> above).

OK, thanks.  So please install this on the master branch.

Should we perhaps have something about this in etc/PROBLEMS?  That is,
after you install your changes?  If so, feel free to add there
whatever you think is appropriate.